#ifdef Debugging
include MacAppRFiles"Debug.rsrc";
#endif
include MacAppRFiles"MacApp.rsrc";
include MacAppRFiles"Printing.rsrc";

include "ProtocolExtras.rsrc";
include "Protocol" 'CODE';

resource 'STR#' (256, purgeable, preload) {
	 {	/* array StringArray: 12 elements */
		/* [1] */
		"Save this document as:";
		/* [2] */
		"Rescue of \"Protocol\" Document";
		/* [3] */
		"Show Clipboard";
		/* [4] */
		"Hide Clipboard";
		/* [5] */
		"Print";
		/* [6] */
		"Stop Printing";
		/* [7] */
		"Unused";
		/* [8] */
		"Unused";
		/* [9] */
		"Print File";
		/* [10] */
		"Undo";
		/* [11] */
		"Redo";
		/* [12] */
		"Unable to display contents at th"
		"e moment"
	}
};

resource 'cmnu' (1) {
	1,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	 {	/* array: 2 elements */
		/* [1] */
		"About Protocol",
		noIcon,
		noKey,
		noMark,
		plain,
		1234;
		/* [2] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand
	}
};

resource 'cmnu' (2) {
	2,
	textMenuProc,
	0x7FFFDDFB,
	enabled,
	"File",
	 {	/* array: 15 elements */
		/* [1] */
		"New",
		noIcon,
		noKey,
		noMark,
		plain,
		10;
		/* [2] */
		"Open",
		noIcon,
		noKey,
		noMark,
		plain,
		20;
		/* [3] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [4] */
		"Close",
		noIcon,
		noKey,
		noMark,
		plain,
		31;
		/* [5] */
		"Save",
		noIcon,
		noKey,
		noMark,
		plain,
		30;
		/* [6] */
		"Save As",
		noIcon,
		noKey,
		noMark,
		plain,
		32;
		/* [7] */
		"Save a Copy In",
		noIcon,
		noKey,
		noMark,
		plain,
		33;
		/* [8] */
		"Save a MacDraw PICT Copy In",
		noIcon,
		noKey,
		noMark,
		plain,
		2000;
		/* [9] */
		"Revert",
		noIcon,
		noKey,
		noMark,
		plain,
		34;
		/* [10] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [11] */
		"Page Setup",
		noIcon,
		noKey,
		noMark,
		plain,
		176;
		/* [12] */
		"Print One",
		noIcon,
		noKey,
		noMark,
		plain,
		177;
		/* [13] */
		"Print",
		noIcon,
		noKey,
		noMark,
		plain,
		178;
		/* [14] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [15] */
		"Quit",
		noIcon,
		"Q",
		noMark,
		plain,
		36
	}
};

resource 'cmnu' (3) {
	3,
	textMenuProc,
	0x7FFFFFBD,
	enabled,
	"Edit",
	 {	/* array: 8 elements */
		/* [1] */
		"Undo",
		noIcon,
		"Z",
		noMark,
		plain,
		101;
		/* [2] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [3] */
		"Cut",
		noIcon,
		"X",
		noMark,
		plain,
		103;
		/* [4] */
		"Copy",
		noIcon,
		"C",
		noMark,
		plain,
		104;
		/* [5] */
		"Paste",
		noIcon,
		"V",
		noMark,
		plain,
		105;
		/* [6] */
		"Clear",
		noIcon,
		noKey,
		noMark,
		plain,
		106;
		/* [7] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [8] */
		"Show Clipboard",
		noIcon,
		noKey,
		noMark,
		plain,
		35
	}
};

resource 'cmnu' (4) {
	4,
	textMenuProc,
	0x7FFFFFEB,
	enabled,
	"View",
	 {	/* array: 6 elements */
		/* [1] */
		"Outline",
		noIcon,
		noKey,
		noMark,
		plain,
		1000;
		/* [2] */
		"Chart",
		noIcon,
		noKey,
		noMark,
		plain,
		1001;
		/* [3] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [4] */
		"Shadowed Shapes",
		noIcon,
		noKey,
		noMark,
		plain,
		1010;
		/* [5] */
		"-",
		noIcon,
		noKey,
		noMark,
		plain,
		nocommand;
		/* [6] */
		"Show Page Breaks",
		noIcon,
		noKey,
		noMark,
		plain,
		201
	}
};

resource 'MENU' (5) {
	5,
	textMenuProc,
	allEnabled,
	enabled,
	"Font",
	 {	/* array: 0 elements */

	}
};

resource 'cmnu' (6) {
	6,
	textMenuProc,
	allEnabled,
	enabled,
	"Size",
	 {	/* array: 6 elements */
		/* [1] */
		"9 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1109;
		/* [2] */
		"10 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1110;
		/* [3] */
		"12 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1112;
		/* [4] */
		"14 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1114;
		/* [5] */
		"18 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1118;
		/* [6] */
		"24 Point",
		noIcon,
		noKey,
		noMark,
		plain,
		1124
	}
};

resource 'MENU' (7) {
	7,
	textMenuProc,
	allEnabled,
	enabled,
	"Keywords",
	 {	/* array: 0 elements */

	}
};

